Applications
Add a person to an application
POST
/
v2
/
applications
/
{applicationId}
/
persons
Add a person to an application
curl --request POST \
--url https://api.example.com/v2/applications/{applicationId}/persons \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dateOfBirth": "1985-06-15",
"emailAddress": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"nationality": "<string>",
"phoneNumber": "<string>",
"residentialAddress": {
"city": "<string>",
"country": "<string>",
"postalCode": "<string>",
"state": "<string>",
"street": "<string>"
},
"title": "<string>",
"bvn": "<string>",
"middleName": "<string>",
"nationalId": "<string>",
"ownershipPercentage": 50
}
'import requests
url = "https://api.example.com/v2/applications/{applicationId}/persons"
payload = {
"dateOfBirth": "1985-06-15",
"emailAddress": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"nationality": "<string>",
"phoneNumber": "<string>",
"residentialAddress": {
"city": "<string>",
"country": "<string>",
"postalCode": "<string>",
"state": "<string>",
"street": "<string>"
},
"title": "<string>",
"bvn": "<string>",
"middleName": "<string>",
"nationalId": "<string>",
"ownershipPercentage": 50
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dateOfBirth: '1985-06-15',
emailAddress: 'jsmith@example.com',
firstName: '<string>',
lastName: '<string>',
nationality: '<string>',
phoneNumber: '<string>',
residentialAddress: {
city: '<string>',
country: '<string>',
postalCode: '<string>',
state: '<string>',
street: '<string>'
},
title: '<string>',
bvn: '<string>',
middleName: '<string>',
nationalId: '<string>',
ownershipPercentage: 50
})
};
fetch('https://api.example.com/v2/applications/{applicationId}/persons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dateOfBirth": "1985-06-15",
"emailAddress": "jsmith@example.com",
"firstName": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastName": "<string>",
"nationality": "<string>",
"phoneNumber": "<string>",
"residentialAddress": {
"city": "<string>",
"country": "<string>",
"postalCode": "<string>",
"state": "<string>",
"street": "<string>"
},
"title": "<string>",
"bvn": "<string>",
"middleName": "<string>",
"nationalId": "<string>",
"ownershipPercentage": 50
}{
"error": "BAD_REQUEST",
"message": "Bad Request",
"path": "/v1/beneficiaries",
"statusCode": 400,
"timestamp": "2024-01-15T10:30:00.000Z"
}{
"error": "BAD_REQUEST",
"message": "Bad Request",
"path": "/v1/beneficiaries",
"statusCode": 400,
"timestamp": "2024-01-15T10:30:00.000Z"
}Authorizations
Enter Auth0 JWT token
Path Parameters
Body
application/json
Example:
"1985-06-15"
ISO 3166-1 alpha-2 country code
Show child attributes
Show child attributes
Available options:
director, shareholder, director_and_shareholder, signing_officer Bank Verification Number (Nigeria).
Required range:
0 <= x <= 100Response
Example:
"1985-06-15"
ISO 3166-1 alpha-2 country code
Show child attributes
Show child attributes
Available options:
director, shareholder, director_and_shareholder, signing_officer Bank Verification Number (Nigeria).
Required range:
0 <= x <= 100⌘I
Add a person to an application
